Jump to content

Kodi for Emby stopped working


darkside40
 Share

Go to solution Solved by darkside40,

Recommended Posts

not working.. not happy with this update

 

I have 2 kodi clients (both libreelec) and now both are not working.

I updated the file and now i get an error that kodi cannot connect to the server.

 

Have now a server where 2 kodi clients cannot connect to, think i have to switch to Plesk if it is not possible to get kodi back online again.....

kodi.log

Link to comment
Share on other sites

Yes, the hard reset seems to be the only way. Thanks for reporting back to confirm this resolved your issue. By the way, what is the issue with your Android box? Did you make a thread?

 

The issue with my second box was that I was running 2 versions of kodi at the same time and that caused the webserver to fail at startup.

I just came back from my mothers appartement where I had to do a db reset on 3 androidboxes and they all worked fine after a fresh db update.

  • Like 1
Link to comment
Share on other sites

hmmm nowsuddenly since i use this update i crashes my emby server, that is why it cannot connect.

 

The emby server is indeed totattly unreachable, the service on my nas is running but the web interface is dead.

I restarted the service and emby was online again, as soon as i try something on kodi the server is down again

Link to comment
Share on other sites

hmmm nowsuddenly since i use this update i crashes my emby server, that is why it cannot connect.

 

The emby server is indeed totattly unreachable, the service on my nas is running but the web interface is dead.

I restarted the service and emby was online again, as soon as i try something on kodi the server is down again

 

Server log?

Link to comment
Share on other sites

not working.. not happy with this update

 

I have 2 kodi clients (both libreelec) and now both are not working.

I updated the file and now i get an error that kodi cannot connect to the server.

 

Have now a server where 2 kodi clients cannot connect to, think i have to switch to Plesk if it is not possible to get kodi back online again.....

I will have a look at your log in a bit.

Link to comment
Share on other sites

@@B3rt

 

According to your log, the add-on loaded. That's good, but it couldn't reach your server. Are you able to provide an updated Kodi log and server log? We'd really like to get to the bottom of this.

 

In reply to your previous post. just so you are aware. This project is not brought to you by the Emby team, but by myself with help of Sualfred who are just Emby users like you are. We work on Emby for Kodi in our free time. The project is free. I understand the situation can be frustrating, but we are not being paid for this and don't have to provide support in any way. But I'd like to believe we are dedicated people, so here we are, ready to help you. Remember that next time you bring up plex. :)

  • Like 3
Link to comment
Share on other sites

0k noted that.

 

I got finally 1 of the 2 kodi's to work.

The server was indeed offline, it crashed due to the second kodi.

 

I reinstalled the second kodi running on a raspberryPI 2 using librelec.

 

After the reinstall i installed again emby stable, then installed the zip you gave earlier.

But this emby will not start running, each time kodi is rebooted it ask again for a password.

Also the system is very very slow when emby is installed, emby is scanning but crashes during scan and reboots kodi/raspPY

After reboot everything starts again, i have to enter password, kodi is slow, emby is scanning/importing and after a while it reboots

 

Note: it is a clean install, only kodi and emby is on it.

01_KODI.log

01_KODI_CRASH.log

  • Like 1
Link to comment
Share on other sites

@@B3rt

 

Thanks for providing your log. Are you sure the add-on is installing on the second Kodi? I still see 3.0.34 running in your logs.

 

Do you have the beta repository installed on your second Kodi? Maybe it's blocking due to being unable to install the dependencies? Let me know what you see on your side.

Link to comment
Share on other sites

yes, but it seems it does not install the new version.

 

When i install the zip i get a message somthing like plugin dependency loaded but nothing happens, on my other kodi i got an other settings interface etc.

This kodi stays the same, i installed it 3 times and eachtime kodi only reports the dependency message.

  • Like 1
Link to comment
Share on other sites

@@B3rt

 

Grab the dependencies here if you don't want to install the beta repo. Install v0.13

http://kodi.emby.media/Public%20testing/Dependencies/beta/

 

Then install the build I gave you and it should work this time. In the future, those dependencies will no longer be required.

 

But for now, I suggest to install the beta repo so you can keep up with the beta updates until stable is released. We are almost there.

http://kodi.emby.media/

Edited by Angelblue05
Link to comment
Share on other sites

tried that also as first, but exactly the same.

 

It seems kodi simply does not install/load the plugin, it just reports: blahblah update emby dependency (cannot read it, message is to long and there half visible and quickly gone) and then nothing happens, also not after a reboot.

Link to comment
Share on other sites

i made a quick photo what is displayed.

 

Nothing happens after that message, after reboot i still have to login and it still reports i am using the old version

post-398505-0-53527000-1548115521_thumb.jpg

post-398505-0-38422800-1548115536_thumb.jpg

Link to comment
Share on other sites

I don’t get why it’s giving issues.

 

But if you manually install from zip the dependencies I showed you, then it should work when you go to install 3.1.45

 

Let me know.

Link to comment
Share on other sites

what do you mean?

 

I did install the zip manually, i downloaded it to my pc first, then uploaded it to kodi and then installed the zip.

 

It errors with the dependency error;

00:03:09.191 T:1439691680   ERROR: CAddonInstallJob[plugin.video.emby]: De afhankelijkheid op plugin.video.emby.movies versie 0.13 kan niet worden voldaan.

 

What should i install then?
 

  • Like 1
Link to comment
Share on other sites

what do you mean?

 

I did install the zip manually, i downloaded it to my pc first, then uploaded it to kodi and then installed the zip.

 

It errors with the dependency error;

00:03:09.191 T:1439691680   ERROR: CAddonInstallJob[plugin.video.emby]: De afhankelijkheid op plugin.video.emby.movies versie 0.13 kan niet worden voldaan.

 

What should i install then?

 

It's complaining 0.13 of plugin.video.emby.movies dependency is not installed.

 

You install all 3 zips v0.13 here?

http://kodi.emby.media/Public%20testing/Dependencies/beta/

 

If you did, go under Installed Addons > All > Scroll until you see Emby and the dependencies, then check the info on them, does it show version 0.13 for all 3 dependencies?

 

This process is usually simple, I'm not sure why you are having difficulties, but let me know if you did install all 3 and all 3 are version 0.13 and it's still giving that error. That's definitely not normal and not something I've seen happen in the past.

Edited by Angelblue05
Link to comment
Share on other sites

No, i installed after a clean install the repo (kodi.emby.media) and then emby, when emby was installed i then tried to load/install the zip you mentioned.

 

On my other kodi i did the same, had nothing to do but installing from repo and the (correct) update zip

Link to comment
Share on other sites

  • 4 weeks later...

Hi,

 

I have the same issue. Since I updated Emby Server to V4 my Sync stopped working on my Libreelc (on Odroid C2).

 

I have then upgraded my Libreelec v17 to v18. I have removed Emby from Kodi and installed again via the beta channel, but I have always the same result - the first sync works, but after a restart I am getting an error on the sync.

 

Emby Server: 4.0.2.0

LibreElec: 9.0.0 (Odroid_C2.arm)

Emby Addon: 1.0.6

 

5c691359301ff_IMG_0476.jpg5c691363d5305_IMG_0477.jpg5c69137d7a921_IMG_0478.jpg

 

Br,

Johannes

Link to comment
Share on other sites

Repair your video libraries in Emby for Kodi. There was a change to the path system between Krypton and Leia.

Edited by Angelblue05
Link to comment
Share on other sites

Repair your video libraries in Emby for Kodi. There was a change to the path system between Krypton and Leia.

 

I have tried this, also removing everything.

 

As mentioned. The Initial Sync is working but then the sync stops working.

 

Br,

Johannes

Link to comment
Share on other sites

Guest
This topic is now closed to further replies.
 Share

×
×
  • Create New...